<div class="row">
    <div class="col-md-12">
        <div class="card card-form pl-4 pr-2">
            <div class="card-header">
                <h4 class="card-title primary" id="striped-row-layout-icons">{{ routeTitle | translate }}</h4>
            </div>
            <div class="card-body">
                <div class="px-3">
                    <form novalidate [formGroup]="cityForm" (ngSubmit)="onSubmit()" class="form form-horizontal form-bordered">
                        <div class="form-body">
                            <!-- Name -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="name">{{ 'forms.fields.name' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="name" formControlName="name" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="cityForm.get('name').hasError('required') && (cityForm.get('name').dirty || cityForm.get('name').touched)">
                                        {{ 'forms.errors.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Map -->
                            <div class="form-group row last" *ngIf="currentCity">
                                <label class="col-md-3 label-control"></label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <app-map [markers]="[marker]" [latitude]="cityForm.value.center.coordinates[0]" [longitude]="cityForm.value.center.coordinates[1]" [zoom]="zoom"></app-map>
                                    </div>
                                </div>
                            </div>
                            <!-- Actions -->
                            <div class="form-actions right">
                                <button type="button" class="btn btn-white black mr-1" (click)="goBack()">
                                    {{ 'forms.buttons.cancel' | translate }}
                                </button>
                                <button type="submit" class="btn btn-raised btn-secondary" [disabled]="!cityForm.valid">
                                    {{ 'forms.buttons.save' | translate }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>